## org.eclipse.emf.edit.provider
Interface ITableItemFontProvider

All Known Implementing Classes:
  AdapterFactoryItemDelegator, DelegatingWrapperItemProvider, FeatureMapEntryWrapperItemProvider, ItemPropertyDescriptor.ItemDelegator

    public interface ITableItemFontProvider

This is the interface needed to provide color for items in a TableViewer. This interface is similar to `IItemFontProvider`, but this will pass additional information, namely the column index.

Method Summary
`java.lang.Object` `getFont(java.lang.Object object, int columnIndex)` This does the same thing as ITableFontProvider.getFont.

Method Detail

### getFont

    java.lang.Object getFont(java.lang.Object object,
                             int columnIndex)

  This does the same thing as ITableFontProvider.getFont.

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.